Listar arquivos do projeto
curl --request GET \
--url https://api.olie.ai/api/management/projects/{project}/files \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olie.ai/api/management/projects/{project}/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olie.ai/api/management/projects/{project}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": true,
"files": [
{
"name": "contrato-assinado",
"extension": "pdf",
"file_url": "https://cdn.olie.ai/frames/forms/contrato-assinado.pdf",
"type": 2,
"technical_name": "contrato-assinado",
"created_at": "2026-08-12T09:15:00.000000Z",
"origin": "form_answers"
},
{
"id": "019e1a44-2f6d-70bb-9d21-64c0a3e91f77",
"name": "proposta-comercial",
"technical_name": "proposta-comercial.019e1a44",
"type": 2,
"extension": "pdf",
"text": null,
"file_url": "https://cdn.olie.ai/frames/projects/proposta-comercial.pdf",
"log": null,
"user_id": "019c1e87-63f4-71dd-a4e3-6eaea0619c2f",
"frame_id": "019c75de-532c-7047-9563-daf1448ca963",
"project_id": "019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf",
"task_id": null,
"created_at": "2026-08-18T14:02:11.000000Z",
"updated_at": "2026-08-18T14:02:11.000000Z",
"deleted_at": null,
"user": {
"id": "019c1e87-63f4-71dd-a4e3-6eaea0619c2f",
"name": "Ana Souza",
"avatar_url": null
}
}
]
}projects
Listar arquivos do projeto
Retorna todos os arquivos ligados ao projeto em um único conjunto: os enviados como conteúdo (no próprio projeto ou em suas tarefas) e os anexados em respostas de formulários. Não tem paginação.
GET
/
api
/
management
/
projects
/
{project}
/
files
Listar arquivos do projeto
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID (UUID) do projeto.
Was this page helpful?